Bug 198978 - [NEW PORT] misc/xfce4-goodies: Meta-package to install all the available plugins, like Debian's xfce4-goodies
Summary: [NEW PORT] misc/xfce4-goodies: Meta-package to install all the available plug...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-03-28 09:32 UTC by Juha Nygård
Modified: 2016-11-13 09:54 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (moertael)


Attachments
Port shar file (3.87 KB, text/plain)
2015-03-28 09:32 UTC, Juha Nygård
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juha Nygård 2015-03-28 09:32:32 UTC
Created attachment 154903 [details]
Port shar file

Hello.

I have included the new port as a .shar.
Comment 1 Olivier Duchateau freebsd_committer 2015-04-03 21:28:15 UTC
There're several issues:

Your port doesn't respect new standard way for meta-port (see Mk/Uses/metaport.mk file).

Makefile header is wrong (see FreeBSD's Porter Handbook and Makefiles in ports tree).

misc/xfce4-appfinder is considered as core component by upstream, so it must not be in your meta-port.

sysutils/xfce4-bsdcpufreq-plugin is not official (equivalent plugin already exists, without FreeBSD support, I have not finished yet).

Personally I'm against, because some plugins are not well maintained (each release of Xfce core, it's a pain to keep everything works fine). But could you send message to the FreeBSD xfce@ list, in order to debate about your submission with other users.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-04 03:22:23 UTC
Prefer Assign over CC, reduces mailing list noise and encourage single ownership. Thanks Olivier! :)
Comment 3 Olivier Duchateau freebsd_committer 2016-11-13 09:54:21 UTC
woodsb02@ committed x11/xfce4-goodies (r421116).